Subject: bug#2941: rmail's new handling of Babyl files is odd

From: Glenn Morris <[email-masked]>
Date: Sun, 12 Apr 2009 21:05:52 -0400

Richard M Stallman wrote:

>     It seems wrong to me that now I can end up converting a Babyl file to
>     mbox with no prompting at all.
>
> Not so.  Any change that causes the buffer to be saved
> will also prompt you (unless there's a bug and I overlooked some command).

There's the one that prompted this report:

emacs -Q
C-u M-x rmail RET foo RET  ; foo is a Babyl file with > 1 message
d
s
y

Now you have an mbox file, no prompting.

>     Or perhaps you should only treat "unseen" as minor.
>
> Maybe that would be better.  Would you like to try out that behavior?

If you're asking if I want to write a patch, then sorry, no.

> That is a bug; aborting the edit should not prompt.
> Does this fix it?

Aborting no longer prompts, but it marks the message as edited, which
is incorrect.

Also, aborting an edit now always marks the Rmail buffer as unmodified
(even if the initial Rmail file was mbox). It should restore the
pre-edit modification status.